Bug 2046057

Summary: F36FailsToInstall: fbthrift, python3-fbthrift
Product: [Fedora] Fedora Reporter: Miro Hrončok <mhroncok>
Component: fbthriftAssignee: Michel Lind <michel>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 36CC: davide, filbranden, michel, thrnciar
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: fbthrift-2022.03.07.00-1.fc37 fbthrift-2022.03.07.00-1.fc36 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2022-03-09 20:22:51 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 1992487, 2016048, 2045109    

Description Miro Hrončok 2022-01-26 09:03:05 UTC
Hello,

Please note that this comment was generated automatically. If you feel that this output has mistakes, please contact me via email (mhroncok).

Your package (fbthrift) Fails To Install in Fedora 36:

can't install fbthrift:
  - nothing provides libwangle.so.2021.12.20.00()(64bit) needed by fbthrift-2022.01.17.00-2.fc36.x86_64
  - nothing provides libfizz.so.2021.12.20.00()(64bit) needed by fbthrift-2022.01.17.00-2.fc36.x86_64
  
can't install python3-fbthrift:
  - nothing provides libwangle.so.2021.12.20.00()(64bit) needed by python3-fbthrift-2022.01.17.00-2.fc36.x86_64
  
If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.


If you don't react accordingly to the policy for FTBFS/FTI bugs (https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/), your package may be orphaned in 8+ weeks.

P.S. The data was generated solely from koji buildroot, so it might be newer than the latest compose or the content on mirrors.

P.P.S. If this bug has been reported in the middle of upgrading multiple dependent packages, please consider using side tags: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/#updating-inter-dependent-packages

Thanks!

Comment 1 Ben Cotton 2022-02-08 20:25:27 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 36 development cycle.
Changing version to 36.

Comment 2 Fedora Update System 2022-03-09 20:18:54 UTC
FEDORA-2022-5852540ea0 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-5852540ea0

Comment 3 Fedora Update System 2022-03-09 20:20:21 UTC
FEDORA-2022-737d681400 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-737d681400

Comment 4 Fedora Update System 2022-03-09 20:22:51 UTC
FEDORA-2022-737d681400 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 5 Fedora Update System 2022-03-11 19:23:57 UTC
FEDORA-2022-5852540ea0 has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-5852540ea0`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-5852540ea0

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2022-03-26 15:16:27 UTC
FEDORA-2022-5852540ea0 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.